### Method

# Gimp Image flip

#### Declaration [src]

    gboolean
    gimp_image_flip (
      GimpImage* image,
      GimpOrientationType flip_type
    )

#### Description [src]

Flips the image horizontally or vertically.

This procedure flips (mirrors) the image.

#### Parameters

`flip_type`

  Type: `GimpOrientationType`

  Type of flip.

#### Return value

Type: `gboolean`

TRUE on success.